# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Celeste 64 Template

game: Celeste 64
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Celeste 64: 1.3.1 # Version of the world required for this yaml to work as expected.

Celeste 64:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  death_link_amnesty:
    # How many deaths it takes to send a DeathLink
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 30
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-30: 0 # random value between 1 and 30

  logic_difficulty:
    # Whether the logic expects you to play the intended way, or to be able to use advanced tricks and skips
    standard: 50
    hard: 0

  move_shuffle:
    # Whether the following base movement abilities are shuffled into the item pool:
    # - Ground Dash
    # - Air Dash
    # - Skid Jump
    # - Climb
    # 
    # NOTE: Having Move Shuffle and Standard Logic Difficulty will guarantee that one of the four Move items will be immediately accessible
    # 
    # WARNING: Combining Move Shuffle and Hard Logic Difficulty can require very difficult tricks
    'false': 50
    'true': 0

  ################
  # Goal Options #
  ################
  total_strawberries:
    # How many Strawberries exist
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 55
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-55: 0 # random value between 0 and 55

  strawberries_required_percentage:
    # Percentage of existing Strawberries you must receive to finish
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    80: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  ##################
  # Sanity Options #
  ##################
  friendsanity:
    # Whether chatting with your friends grants location checks
    'false': 50
    'true': 0

  signsanity:
    # Whether reading signs grants location checks
    'false': 50
    'true': 0

  carsanity:
    # Whether riding on cars grants location checks
    'false': 50
    'true': 0

  checkpointsanity:
    # Whether activating Checkpoints grants location checks
    # 
    # Activating this will also shuffle items into the pool which allow usage and warping to each Checkpoint
    'false': 50
    'true': 0

  #####################
  # Aesthetic Options #
  #####################
  madeline_one_dash_hair_color:
    # What color Madeline's hair is when she has one dash
    # 
    # The `any_color` option will choose a fully random color
    # 
    # A custom color entry may be supplied as a 6-character RGB hex color code
    # e.g. F542C8
    strawberry: 50
    empty: 0
    double: 0
    golden: 0
    baddy: 0
    fire_red: 0
    maroon: 0
    salmon: 0
    orange: 0
    lime_green: 0
    bright_green: 0
    forest_green: 0
    royal_blue: 0
    brown: 0
    black: 0
    white: 0
    grey: 0
    any_color: 0

  madeline_two_dash_hair_color:
    # What color Madeline's hair is when she has two dashes
    # 
    # The `any_color` option will choose a fully random color
    # 
    # A custom color entry may be supplied as a 6-character RGB hex color code
    # e.g. F542C8
    strawberry: 0
    empty: 0
    double: 50
    golden: 0
    baddy: 0
    fire_red: 0
    maroon: 0
    salmon: 0
    orange: 0
    lime_green: 0
    bright_green: 0
    forest_green: 0
    royal_blue: 0
    brown: 0
    black: 0
    white: 0
    grey: 0
    any_color: 0

  madeline_no_dash_hair_color:
    # What color Madeline's hair is when she has no dashes
    # 
    # The `any_color` option will choose a fully random color
    # 
    # A custom color entry may be supplied as a 6-character RGB hex color code
    # e.g. F542C8
    strawberry: 0
    empty: 50
    double: 0
    golden: 0
    baddy: 0
    fire_red: 0
    maroon: 0
    salmon: 0
    orange: 0
    lime_green: 0
    bright_green: 0
    forest_green: 0
    royal_blue: 0
    brown: 0
    black: 0
    white: 0
    grey: 0
    any_color: 0

  madeline_feather_hair_color:
    # What color Madeline's hair is when she has a feather
    # 
    # The `any_color` option will choose a fully random color
    # 
    # A custom color entry may be supplied as a 6-character RGB hex color code
    # e.g. F542C8
    strawberry: 0
    empty: 0
    double: 0
    golden: 50
    baddy: 0
    fire_red: 0
    maroon: 0
    salmon: 0
    orange: 0
    lime_green: 0
    bright_green: 0
    forest_green: 0
    royal_blue: 0
    brown: 0
    black: 0
    white: 0
    grey: 0
    any_color: 0

  ####################
  # Badeline Chasers #
  ####################
  badeline_chaser_source:
    # What type of action causes more Badeline Chasers to start spawning
    # 
    # Locations: The number of locations you've checked contributes to Badeline Chasers
    # 
    # Strawberries: The number of Strawberry items you've received contributes to Badeline Chasers
    locations: 50
    strawberries: 0

  badeline_chaser_frequency:
    # How many of the `Badeline Chaser Source` actions must occur to make each Badeline Chaser start spawning
    # 
    # NOTE: Choosing `0` disables Badeline Chasers entirely
    # 
    # WARNING: Turning on Badeline Chasers alongside Move Shuffle could result in extremely difficult situations
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10

  badeline_chaser_speed:
    # How many seconds behind you each Badeline Chaser will be
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 2
    # Maximum value is 10
    3: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-2-10: 0 # random value between 2 and 10

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
